Uses of Class
io.vertx.mutiny.core.http.HttpServerRequest
Packages that use HttpServerRequest
Package
Description
-
Uses of HttpServerRequest in io.vertx.mutiny.core.http
Fields in io.vertx.mutiny.core.http with type parameters of type HttpServerRequestModifier and TypeFieldDescriptionstatic final TypeArg<HttpServerRequest>HttpServerRequest.__TYPE_ARGMethods in io.vertx.mutiny.core.http that return HttpServerRequestModifier and TypeMethodDescriptionHttpServerRequest.bodyAndForget()Convenience method for receiving the entire request body in one piece.HttpServerRequest.bodyHandler(Consumer<io.vertx.core.buffer.Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.HttpServerRequest.customFrameHandler(Consumer<io.vertx.core.http.HttpFrame> handler) Set a custom frame handler.HttpServerRequest.endAndForget()Returns a underlying uni signaling when the request has been fully received successfully or failed.HttpServerRequest.endHandler(Runnable endHandler) HttpServerRequest.exceptionHandler(Consumer<Throwable> handler) HttpServerRequest.fetch(long amount) static HttpServerRequestHttpServerRequest.newInstance(io.vertx.core.http.HttpServerRequest delegate) Creates a new instance of theHttpServerRequest.HttpServerRequest.pause()HttpServerRequest.pipeToAndForget(WriteStream<io.vertx.core.buffer.Buffer> arg0) Pipe thisReadStreamto theWriteStream.HttpServerRequest.resume()Marks this request as being routed to the given route.HttpServerRequest.setExpectMultipart(boolean expect) Call this with true if you are expecting a multi-part body to be submitted in the request.HttpServerRequest.setParamsCharset(String charset) Override the charset to use for decoding the query parameter map, when none is set,UTF8is used.HttpServerRequest.streamPriorityHandler(Consumer<io.vertx.core.http.StreamPriority> handler) Set an handler for stream priority changesHttpServerRequest.toNetSocketAndForget()Establish a TCP tunnel with the client.HttpServerRequest.toWebSocketAndForget()Upgrade the connection of the current request to a WebSocket.HttpServerRequest.uploadHandler(Consumer<HttpServerFileUpload> uploadHandler) Set an upload handler.Method parameters in io.vertx.mutiny.core.http with type arguments of type HttpServerRequestModifier and TypeMethodDescriptionHttpServer.invalidRequestHandler(Consumer<HttpServerRequest> handler) Set ahandlerfor handling invalid requests.HttpServer.requestHandler(Consumer<HttpServerRequest> handler) Set the request handler for the server torequestHandler. -
Uses of HttpServerRequest in io.vertx.mutiny.ext.web
Methods in io.vertx.mutiny.ext.web that return HttpServerRequestMethods in io.vertx.mutiny.ext.web with parameters of type HttpServerRequestModifier and TypeMethodDescriptionvoidRouter.accept(HttpServerRequest item) Handle an item.voidRouter.handle(HttpServerRequest item) Handle an item. -
Uses of HttpServerRequest in io.vertx.mutiny.httpproxy
Methods in io.vertx.mutiny.httpproxy that return HttpServerRequestMethods in io.vertx.mutiny.httpproxy with parameters of type HttpServerRequestModifier and TypeMethodDescriptionvoidHttpProxy.accept(HttpServerRequest item) Handle an item.voidHttpProxy.handle(HttpServerRequest request) Handle the outboundHttpServerRequest.static ProxyRequestProxyRequest.reverseProxy(HttpServerRequest proxiedRequest) Create a newProxyRequestinstance, the proxied request will be paused.static ProxyRequestProxyRequest.reverseProxy(HttpServerRequest proxiedRequest, io.vertx.httpproxy.ForwardedHeadersOptions forwardedHeadersOptions) LikeProxyRequest.reverseProxy(HttpServerRequest)but using specific For -
Uses of HttpServerRequest in io.vertx.mutiny.micrometer
Methods in io.vertx.mutiny.micrometer that return types with arguments of type HttpServerRequestModifier and TypeMethodDescriptionstatic Consumer<HttpServerRequest>PrometheusRequestHandler.create()Creates a handler with a new PrometheusMeterRegistry and the default metrics endpoint ("/metrics").static Consumer<HttpServerRequest>PrometheusRequestHandler.create(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry) Creates a handler with the specified PrometheusMeterRegistry and the default metrics endpoint ("/metrics").static Consumer<HttpServerRequest>PrometheusRequestHandler.create(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry, String metricsEndpoint) Creates a handler with the specified PrometheusMeterRegistry and metrics endpoint.static Consumer<HttpServerRequest>PrometheusRequestHandler.PrometheusRequestHandlerImpl.create()Creates a handler with a new PrometheusMeterRegistry and the default metrics endpoint ("/metrics").static Consumer<HttpServerRequest>PrometheusRequestHandler.PrometheusRequestHandlerImpl.create(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry) Creates a handler with the specified PrometheusMeterRegistry and the default metrics endpoint ("/metrics").static Consumer<HttpServerRequest>PrometheusRequestHandler.PrometheusRequestHandlerImpl.create(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry, String metricsEndpoint) Creates a handler with the specified PrometheusMeterRegistry and metrics endpoint.